#include <iostream>

using namespace std;

long long gcd(long long a,int p){
    if(a%p!=0){
        return a/p+1;
    }
    else{
        return a/p ;
    }
}

int main()
{
    int p,q,r ;
    long long l,d,k,br=0,zbir ;
    cin >> p >> q >> r >> l >> d ;
    k=(3*p*q*r)/(p*q*r-p*q-p*r-q*r)+1 ;
    for(long long i=l; i<=min(d,k); i++){
        zbir=gcd(i,p)+gcd(i,q)+gcd(i,r) ;
        if(zbir<=i){
            br++ ;
        }
    }
    if(k<d){
        br+=d-k ;
    }
    cout << br ;
    return 0;
}